### Method

# CM Client get_user_id

#### Declaration [src]

    GRefString*
    cm_client_get_user_id (
      CmClient* self
    )

#### Description [src]

Get the matrix user ID of the client `self`. The User ID may be available only after the login has succeeded and may return `NULL` otherwise. If you need the login id before that use `cm_account_get_login_id()`.

#### Return value

Type: `GRefString`

The matrix user ID of the client.

The returned data is owned by the instance.